package ecoparasite.poisson;

import ecoparasite.input.DataParsing;
import ecoparasite.input.RawData;

import java.util.HashSet;

/**
 * Hérite de Poisson.
 * Ajoute les fonctions de Parsing liés aux données collectées sur le Mackerel.
 */
public class Mackerel extends Poisson implements DataParsing {
    public Mackerel(String species, Double length, Double infestation) {
        super(species, length, null, infestation);
    }

    @Override
    public HashSet<Poisson> parse(RawData data) {

        HashSet<Poisson> fishSet;
        fishSet = new HashSet<>();


        return fishSet;
    }
}
